Skip to content
Pasqal Documentation

Get Queue

GET
/api/v1/devices/{dt_name}/queue
dt_name
required
DeviceTypeName

Enumeration of allowed and legacy device type names

string
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 EMU_FRESNEL FRESNEL_RD EMU_MPS
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0

Successful Response

HeaderPaginatedResponse[ProducedBatchQueueResponse]

A list of responses with pagination information.

For backwards compatibility, this also exposes pagination using the following header format:

Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLE
object
status
string
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ProducedBatchQueueResponse

Response for a batch request to represents device queue. The response does not includes its jobs and its sequence builder.

This schema defines all the fields that can be publicly shared by the API.

object
id
required
Id
string format: uuid
parent_id
Parent Id
string format: uuid
status
required
BatchStatus

An enumeration.

string
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED
open
required
Open
boolean
device_type
required
Device Type
string
user_id
required
User Id
string
project_id
required
Project Id
string format: uuid
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
jobs_count
required
Jobs Count
integer
jobs_count_per_status
required
Jobs Count Per Status
object
tags
required
Tags
Array<string>
unique items
configuration
Configuration
object
backend_configuration
Backend Configuration
string
start_datetime
Start Datetime
string format: date-time
end_datetime
End Datetime
string format: date-time
queue_priority
required
QueuePriority

Values represent the queue a value will be written to, each priority represents the order of preference batches will be executed. Queue priority is processed in a descending order: CRITICAL, HIGH, MEDIUM, LOW, FREE

string
Allowed values: CRITICAL HIGH MEDIUM LOW FREE
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string